<?php
namespace App\Database;

interface DatabaseInterface {
    public function selectAll($table, array $criteria = []): array;
    public function selectOne($table, array $criteria): ?array;
    public function insert($table, array $data): bool;
    public function update($table, array $criteria, array $data): bool;
    public function delete($table, array $criteria): bool;
}
